[Rubyinstaller-devel] Reverting from 1.8.7

Luis Lavena luislavena at gmail.com
Sun Apr 20 18:01:06 EDT 2008

Hello Folks,

I was so dumb perform a release and also some announcement of the
preview of 1.8.7 based on MinGW. I neglected the importance of
backward compatibility and followed the joy of new release, which
introduced several bugs and incompatibilities, as reported in
ruby-core [1]

I'm aware that svn version after PATCHLEVEL 114 introduced some
changes that made things like wxRuby crash. So I'm releasing right now
a test version based on packaged ruby-1.8.6-p114 tarball.

Also, I'm working right now on make rubyspecs (part of rubinius
innitiative) work on Windows and ensure proper releases at least for
the core of ruby.

In the mean time, I also have added a text file alongside the 7z
package which contains the output of 'make check' for each release.

Hopefully someone will find this useful :-)

The place were these files can be downloaded:


The only known problem with this release is the readline/irb CPU
eating bug, but that cannot be fixed right now without monkey

I'm looking forward ruby maintainers workaround these issues, but for
the time being, I only have hope :-)

Regards and good weekend everybody.

[1] http://www.ruby-forum.com/topic/150251
Luis Lavena
Multimedia systems
Human beings, who are almost unique in having the ability to learn from
the experience of others, are also remarkable for their apparent
disinclination to do so.
Douglas Adams

More information about the Rubyinstaller-devel mailing list